Bug 374734 - Akonadiserver Crashes While Deleting Email
Summary: Akonadiserver Crashes While Deleting Email
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: server (show other bugs)
Version: 5.4.3
Platform: OpenSUSE Linux
: NOR crash with 40 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 375104 375450 375558 375714 376852 376923 376976 377273 377393 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-01-08 07:44 UTC by Ian
Modified: 2017-07-10 10:25 UTC (History)
17 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.3


Attachments
kcrash stacktraces after crash on akonadictl stop (19.00 KB, text/plain)
2017-01-24 15:22 UTC, Gero Müller
Details
Crash (59 bytes, text/plain)
2017-04-01 08:30 UTC, stefanfrank
Details
Another crash (28.02 KB, text/plain)
2017-04-01 08:35 UTC, stefanfrank
Details
New crash Apps 17.04 (20.51 KB, text/plain)
2017-04-29 13:51 UTC, stefanfrank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian 2017-01-08 07:44:02 UTC
When deleting emails from the Kmail inbox, either several (around 5+) individually, or selecting several, Kmail "hangs" with "Retrieving Folder Contents Please wait..." 

And in a terminal window, after a akonadictl restart but before deleting emails:

......

QProcess: Destroyed while process ("akonadiserver") is still running.
org.kde.pim.akonadicontrol: ProcessControl: Application "akonadiserver" stopped unexpectedly ( "Process crashed" )
org.kde.pim.akonadicontrol: Application 'akonadiserver' crashed. No restart!

I am not sure if this is related, but there are  numerous duplicated deleted emails in the Inbox - and running akonadictl fsck and akonadictl vacuum seems to do nothing. 

I can run akonadictl fsck multiple times and gives the exact came out put in regard to finding duplicate messages. It doesn't seem to actually clean up the duplicates so it does not seem to work.
Comment 1 stefanfrank 2017-01-10 19:11:11 UTC
same problem here. Manjaro with KDE Apps 16.12.
Please fix it.
Comment 2 Ian 2017-01-10 19:38:51 UTC
(In reply to stefanfrank from comment #1)
> same problem here. Manjaro with KDE Apps 16.12.
> Please fix it.

Glad to know I am not the only one experiencing this. 

Kmail has basically become unusable for me. I've had to switch to Thunderbird in order to retrieve, read and reply to emails. I have been  using Kmail for many many years (since 2002) and it's unfortunate that I've had to change email app just to be able to read, reply and send emails.
Comment 3 Christoph Feck 2017-01-10 19:41:09 UTC
Could you please add a backtrace for the crash? It might be a duplicate that is already reported, or already fixed.
Comment 4 Ian 2017-01-10 20:11:11 UTC
(In reply to Christoph Feck from comment #3)
> Could you please add a backtrace for the crash? It might be a duplicate that
> is already reported, or already fixed.

Not really sure how to do this - but googled. Apparently one needs to run an application with gdb? 

So - I tried that. Stopped akonadictl. Then:

gdb akonadictl start

This is what I get:
GNU gdb (GDB; openSUSE Tumbleweed) 7.11.1
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-suse-linux".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.opensuse.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from akonadictl...(no debugging symbols found)...done.
/home/ian/start: No such file or directory.
Missing separate debuginfos, use: zypper install akonadi-server-debuginfo-16.12.0-2.1.x86_64


But then 
zypper install akonadi-server-debuginfo-16.12.0-2.1.x86_64
Retrieving repository 'Packman Repository' metadata ..................................................................................................................................................................................[done]
Building repository 'Packman Repository' cache .......................................................................................................................................................................................[done]
Retrieving repository 'openSUSE-Tumbleweed-Non-Oss' metadata .........................................................................................................................................................................[done]
Building repository 'openSUSE-Tumbleweed-Non-Oss' cache ..............................................................................................................................................................................[done]
Retrieving repository 'openSUSE-Tumbleweed-Oss' metadata .............................................................................................................................................................................[done]
Building repository 'openSUSE-Tumbleweed-Oss' cache ..................................................................................................................................................................................[done]
Loading repository data...
Reading installed packages...                                                                                                                                                                                                               
'akonadi-server-debuginfo-16.12.0-2.1.x86_64' not found in package names. Trying capabilities.                                                                                                                                              
No provider of 'akonadi-server-debuginfo-16.12.0-2.1.x86_64' found. ['--plus-content debug'?]                                                                                                                                               
Resolving package dependencies...                                                                                                                                                                                                           
                                                                                                                                                                                                                                            
The following application is going to be REMOVED:                                                                                                                                                                                           
  "System Tray"                                                                                                                                                                                                                             
                                                                                                                                                                                                                                            
No additional space will be used or freed after the operation.                                                                                                                                                                              
Nothing to do.
Comment 5 Christoph Feck 2017-01-10 20:32:54 UTC
Please ask in a forum of your distribution how to install debug symbol packages.

See also https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
Comment 6 stefanfrank 2017-01-11 17:29:26 UTC
Crash report of akonadi server:
Application: akonadiserver (akonadiserver), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fcb47c55080 (LWP 1116))]

Thread 39 (Thread 0x7fcacbfff700 (LWP 1917)):
#0  0x00007fcb42ba5c33 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 38 (Thread 0x7fcae67fc700 (LWP 1907)):
#0  0x00007fcb448834b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcb465e5ae6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb465e11e4 in ?? () from /usr/lib/libQt5Core.so.5
#3  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 37 (Thread 0x7fcaa6ffd700 (LWP 1906)):
#0  0x00007fcb448834b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcb465e5ae6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb465e11e4 in ?? () from /usr/lib/libQt5Core.so.5
#3  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 36 (Thread 0x7fcae4ff9700 (LWP 1905)):
#0  0x00007fcb448834b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcb465e5ae6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb465e11e4 in ?? () from /usr/lib/libQt5Core.so.5
#3  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 35 (Thread 0x7fcae57fa700 (LWP 1904)):
#0  0x00007fcb448834b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcb465e5ae6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb465e11e4 in ?? () from /usr/lib/libQt5Core.so.5
#3  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 34 (Thread 0x7fcaa77fe700 (LWP 1903)):
#0  0x00007fcb448834b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcb465e5ae6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb465e11e4 in ?? () from /usr/lib/libQt5Core.so.5
#3  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 33 (Thread 0x7fcaa5ffb700 (LWP 1875)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 32 (Thread 0x7fcaa67fc700 (LWP 1776)):
#0  0x00007fcb42bebdd4 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba5d60 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 31 (Thread 0x7fcae5ffb700 (LWP 1727)):
[KCrash Handler]
#6  0x00007fcb466ed32d in QIODevice::write(char const*, long long) () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb476cc760 in ?? () from /usr/lib/libKF5AkonadiPrivate.so.5
#8  0x00007fcb476cca58 in ?? () from /usr/lib/libKF5AkonadiPrivate.so.5
#9  0x00007fcb476d0874 in ?? () from /usr/lib/libKF5AkonadiPrivate.so.5
#10 0x00007fcb476b7494 in Akonadi::Protocol::serialize(QIODevice*, Akonadi::Protocol::Command const&) () from /usr/lib/libKF5AkonadiPrivate.so.5
#11 0x000000000042bee6 in ?? ()
#12 0x00000000005509c3 in ?? ()
#13 0x000000000054c2bb in ?? ()
#14 0x000000000042cefb in ?? ()
#15 0x00007fcb467eb43e in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQt5Core.so.5
#16 0x00007fcb467eb0c9 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQt5Core.so.5
#17 0x00007fcb473f1125 in ?? () from /usr/lib/libQt5Network.so.5
#18 0x00007fcb473f11dc in ?? () from /usr/lib/libQt5Network.so.5
#19 0x00007fcb473fbfe1 in ?? () from /usr/lib/libQt5Network.so.5
#20 0x00007fcb467bf8cb in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#21 0x00007fcb4681476d in ?? () from /usr/lib/libQt5Core.so.5
#22 0x00007fcb42ba6587 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#23 0x00007fcb42ba67f0 in ?? () from /usr/lib/libglib-2.0.so.0
#24 0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#25 0x00007fcb468142bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#26 0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#27 0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#28 0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#29 0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#30 0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 30 (Thread 0x7fcaa7fff700 (LWP 1305)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 29 (Thread 0x7fcac8ff9700 (LWP 1302)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 28 (Thread 0x7fcac97fa700 (LWP 1293)):
#0  0x00007fcb42ba5d6f in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 27 (Thread 0x7fcac9ffb700 (LWP 1289)):
#0  0x00007ffd0c3db979 in ?? ()
#1  0x00007ffd0c3dbc9f in clock_gettime ()
#2  0x00007fcb45cf06b6 in clock_gettime () from /usr/lib/libc.so.6
#3  0x00007fcb4668a211 in ?? () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb46811f59 in QTimerInfoList::updateCurrentTime() () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb46812505 in QTimerInfoList::timerWait(timespec&) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb46813b44 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb42ba5c89 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#9  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#11 0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#12 0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#13 0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#14 0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#15 0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 26 (Thread 0x7fcaca7fc700 (LWP 1285)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 25 (Thread 0x7fcacaffd700 (LWP 1268)):
#0  0x00007fcb42bebdd0 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba6171 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba6724 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 24 (Thread 0x7fcacb7fe700 (LWP 1264)):
#0  0x00007fcb465e3c4f in ?? () from /usr/lib/libQt5Core.so.5
#1  0x00007fcb46813ba1 in ?? () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb42ba6179 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba6724 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 23 (Thread 0x7fcae6ffd700 (LWP 1255)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 22 (Thread 0x7fcae77fe700 (LWP 1251)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 21 (Thread 0x7fcae7fff700 (LWP 1247)):
#0  0x00007fcb42ba37a9 in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba5d43 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 20 (Thread 0x7fcb00ff9700 (LWP 1245)):
#0  0x00007fcb42bebdd4 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba631a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba67f0 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 19 (Thread 0x7fcb017fa700 (LWP 1238)):
#0  0x00007fcb42bebdb9 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba6184 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba6724 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 18 (Thread 0x7fcb01ffb700 (LWP 1237)):
#0  0x00007fcb4668a1f4 in ?? () from /usr/lib/libQt5Core.so.5
#1  0x00007fcb46811f59 in QTimerInfoList::updateCurrentTime() () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb46813805 in ?? () from /usr/lib/libQt5Core.so.5
#3  0x00007fcb42ba6179 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb42ba6724 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#9  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#10 0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 17 (Thread 0x7fcb027fc700 (LWP 1229)):
#0  0x00007fcb42ba6190 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba6724 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 16 (Thread 0x7fcb02ffd700 (LWP 1228)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 15 (Thread 0x7fcb037fe700 (LWP 1214)):
#0  0x00007fcb46813a00 in ?? () from /usr/lib/libQt5Core.so.5
#1  0x00007fcb42ba5c89 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 14 (Thread 0x7fcb03fff700 (LWP 1208)):
#0  0x00007fcb465dc219 in QMutex::unlock() () from /usr/lib/libQt5Core.so.5
#1  0x00007fcb46813a61 in ?? () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb42ba5c89 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 13 (Thread 0x7fcb14845700 (LWP 1198)):
#0  0x00007fcb45cd64ed in read () from /usr/lib/libc.so.6
#1  0x00007fcb42beaa10 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba6235 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba6724 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 12 (Thread 0x7fcb15046700 (LWP 1192)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 11 (Thread 0x7fcb15847700 (LWP 1186)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 10 (Thread 0x7fcb16048700 (LWP 1180)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 9 (Thread 0x7fcb2b7fe700 (LWP 1171)):
#0  0x00007fcb42ba374b in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba5c2b in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 8 (Thread 0x7fcb2bfff700 (LWP 1170)):
#0  0x00007fcb4488310f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcb465e5bab in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x000000000043f7d1 in ?? ()
#3  0x00007fcb467f7ed6 in ?? () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467ebee3 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bf8cb in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb4681325e in QTimerInfoList::activateTimers() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb46813781 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb42ba6587 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#9  0x00007fcb42ba67f0 in ?? () from /usr/lib/libglib-2.0.so.0
#10 0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#11 0x00007fcb468142bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#12 0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#13 0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#14 0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#15 0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#16 0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 7 (Thread 0x7fcb38af6700 (LWP 1169)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 6 (Thread 0x7fcb392f7700 (LWP 1168)):
#0  0x00007fcb45cda48d in poll () from /usr/lib/libc.so.6
#1  0x00007fcb42ba6786 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7fcb39af8700 (LWP 1167)):
#0  0x00007fcb465dc219 in QMutex::unlock() () from /usr/lib/libQt5Core.so.5
#1  0x00007fcb46813a61 in ?? () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb42ba5c89 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7fcb3a2f9700 (LWP 1166)):
#0  0x00007fcb468137d0 in ?? () from /usr/lib/libQt5Core.so.5
#1  0x00007fcb42ba6179 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba6724 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7fcb3aafa700 (LWP 1165)):
#0  0x00007fcb4681375d in ?? () from /usr/lib/libQt5Core.so.5
#1  0x00007fcb42ba5c89 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7fcb3bcb1700 (LWP 1117)):
#0  0x00007fcb42ba5c74 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#1  0x00007fcb42ba66ab in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcb468142db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fcb465e0063 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fcb46e60de5 in ?? () from /usr/lib/libQt5DBus.so.5
#7  0x00007fcb465e4cf8 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb4487d454 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcb45ce37df in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7fcb47c55080 (LWP 1116)):
#0  0x00007fcb448834b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcb465e5ae6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fcb465e489e in QThread::wait(unsigned long) () from /usr/lib/libQt5Core.so.5
#3  0x0000000000531a5f in ?? ()
#4  0x000000000042b43e in ?? ()
#5  0x000000000042b629 in ?? ()
#6  0x0000000000426614 in ?? ()
#7  0x00007fcb467ebf29 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#8  0x00007fcb467bf8cb in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#9  0x00007fcb467c206d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
#10 0x00007fcb46813eb3 in ?? () from /usr/lib/libQt5Core.so.5
#11 0x00007fcb42ba6587 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#12 0x00007fcb42ba67f0 in ?? () from /usr/lib/libglib-2.0.so.0
#13 0x00007fcb42ba689c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#14 0x00007fcb468142bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#15 0x00007fcb467bdd3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#16 0x00007fcb467c623c in QCoreApplication::exec() () from /usr/lib/libQt5Core.so.5
#17 0x0000000000423aff in ?? ()
#18 0x00007fcb45c1b291 in __libc_start_main () from /usr/lib/libc.so.6
#19 0x00000000004245ba in _start ()
Comment 7 stefanfrank 2017-01-13 13:35:42 UTC
I hope that helps?
Comment 8 tomaggio 2017-01-14 22:13:35 UTC
same Problem here ChakraLinux after last upgrade to 16.12.0. Sometimes it's enough try to open an mail. Retrieving mail wait. Something in the db blocks.
Comment 9 Alexander 2017-01-20 12:59:15 UTC
The description, that akonadi crashes if you delete an email is true, but it crashes randomly, independently from what you do. Click an email, it may crash or not; go to another account, same. See this bug report: 

https://bugzilla.opensuse.org/show_bug.cgi?id=1017147

Akonadi stopped working with update to 16.12 and this is more than an month ago.
Comment 10 C. Brouerius van Nidek 2017-01-20 17:33:57 UTC
Have the same problems and help myself with folloWING SOLUTION (which seems to work quit often:
 rm -rf ~/.local/share/akonadi/socket*
 rm -rf /tmp/akonadi*
and a restart of kmail
Comment 11 Gero Müller 2017-01-24 15:22:52 UTC
Created attachment 103615 [details]
kcrash stacktraces after crash on akonadictl stop
Comment 12 Gero Müller 2017-01-24 15:25:46 UTC
Hello,

i have the same problem in Archlinux, akonadi 16.12.1-2, mariadb 10.1.21-1

I found the following line in ~/.local/share/akonadi/db_data/mysql.err:
  2017-01-24 14:10:07 139694250785536 [ERROR] mysqld: Deadlock found when trying to get lock; try restarting transaction

Also, if i delete the messages one after another and wait between the deletion, it does not hang. Looks like a synchronization problem.
Comment 13 Andreas K. Huettel 2017-01-30 18:15:36 UTC
Same phenomenon here as described by original submitter, here with Gentoo. 
* randomly, kmail does not delete an e-mail
* when leaving kmail and then stopping akonadi, akonadi crashes. 

Backtrace:

Application: akonadiserver (akonadiserver), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
[Current thread is 1 (Thread 0x7f8b76e62780 (LWP 32690))]

Thread 19 (Thread 0x7f8b6cfc5700 (LWP 32691)):
#0  0x00007f8b73242b79 in g_mutex_lock (mutex=mutex@entry=0x7f8b68000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gthread-posix.c:1336
#1  0x00007f8b731fd6c2 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f8b680210c0, timeout=-1, context=0x7f8b68000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:4223
#2  g_main_context_iterate (context=context@entry=0x7f8b68000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3924
#3  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8b68000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#4  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8b680008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8b6cfc4e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f8b765001f4 in QThread::exec (this=this@entry=0x7f8b769a9b00 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:507
#7  0x00007f8b7693b445 in QDBusConnectionManager::run (this=0x7f8b769a9b00 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#8  0x00007f8b7650478c in QThreadPrivate::start (arg=0x7f8b769a9b00 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#9  0x00007f8b74c72454 in start_thread (arg=0x7f8b6cfc5700) at pthread_create.c:333
#10 0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7f8b6768d700 (LWP 32700)):
#0  0x00007f8b75c314fd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f8b731fd6dc in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f8b60295560, timeout=3330855, context=0x7f8b60000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:4228
#2  g_main_context_iterate (context=context@entry=0x7f8b60000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3924
#3  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8b60000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#4  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8b600008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8b6768ce40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f8b7650478c in QThreadPrivate::start (arg=0x2010e80) at thread/qthread_unix.cpp:368
#8  0x00007f8b74c72454 in start_thread (arg=0x7f8b6768d700) at pthread_create.c:333
#9  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7f8b66e8c700 (LWP 32713)):
#0  0x00007f8b75c314fd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f8b731fd6dc in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f8b58003020, timeout=3330881, context=0x7f8b58000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:4228
#2  g_main_context_iterate (context=context@entry=0x7f8b58000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3924
#3  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8b58000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#4  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8b580008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8b66e8be40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f8b7650478c in QThreadPrivate::start (arg=0x2050130) at thread/qthread_unix.cpp:368
#8  0x00007f8b74c72454 in start_thread (arg=0x7f8b66e8c700) at pthread_create.c:333
#9  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7f8b6668b700 (LWP 32714)):
#0  QListData::end (this=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qlist.h:117
#1  QList<QTimerInfo*>::constEnd (this=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qlist.h:325
#2  QTimerInfoList::timerWait (this=0x7f8b50002cd0, tm=...) at kernel/qtimerinfo_unix.cpp:393
#3  0x00007f8b766f333c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f8b6668ac74) at kernel/qeventdispatcher_glib.cpp:132
#4  0x00007f8b731fcbad in g_main_context_prepare (context=context@entry=0x7f8b50000990, priority=priority@entry=0x7f8b6668ad00) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3501
#5  0x00007f8b731fd608 in g_main_context_iterate (context=context@entry=0x7f8b50000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3909
#6  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8b50000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#7  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8b500008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#8  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8b6668ae40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#9  0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#10 0x00007f8b7650478c in QThreadPrivate::start (arg=0x2033460) at thread/qthread_unix.cpp:368
#11 0x00007f8b74c72454 in start_thread (arg=0x7f8b6668b700) at pthread_create.c:333
#12 0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7f8b65e8a700 (LWP 32715)):
#0  0x00007f8b73242b79 in g_mutex_lock (mutex=0x7f8b48000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gthread-posix.c:1336
#1  0x00007f8b731fd5dd in g_main_context_iterate (context=context@entry=0x7f8b48000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3896
#2  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8b48000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#3  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8b480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8b65e89e40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f8b7650478c in QThreadPrivate::start (arg=0x2032f70) at thread/qthread_unix.cpp:368
#7  0x00007f8b74c72454 in start_thread (arg=0x7f8b65e8a700) at pthread_create.c:333
#8  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7f8b65689700 (LWP 32716)):
#0  g_main_context_prepare (context=context@entry=0x7f8b5c000990, priority=priority@entry=0x7f8b65688d00) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3483
#1  0x00007f8b731fd608 in g_main_context_iterate (context=context@entry=0x7f8b5c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3909
#2  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8b5c000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#3  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8b5c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8b65688e40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f8b7650478c in QThreadPrivate::start (arg=0x2056820) at thread/qthread_unix.cpp:368
#7  0x00007f8b74c72454 in start_thread (arg=0x7f8b65689700) at pthread_create.c:333
#8  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7f8b64e88700 (LWP 32717)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f8b76504dfa in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x20571d0) at thread/qwaitcondition_unix.cpp:143
#2  QWaitCondition::wait (this=this@entry=0x2056d08, mutex=mutex@entry=0x2056d10, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:215
#3  0x000000000043b378 in Akonadi::Server::SearchTaskManager::searchLoop (this=0x2056ce0) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/search/searchtaskmanager.cpp:222
#4  0x00007f8b766db0a6 in QtPrivate::QSlotObjectBase::call (a=0x7f8b64e87a80, r=<optimized out>, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#5  QSingleShotTimer::timerEvent (this=0x203f180) at kernel/qtimer.cpp:317
#6  0x00007f8b766cf62b in QObject::event (this=0x203f180, e=<optimized out>) at kernel/qobject.cpp:1285
#7  0x00007f8b766a7f45 in doNotify (receiver=<optimized out>, event=<optimized out>) at kernel/qcoreapplication.cpp:1063
#8  0x00007f8b766a806a in QCoreApplication::notify (event=<optimized out>, receiver=<optimized out>, this=<optimized out>) at kernel/qcoreapplication.cpp:1049
#9  QCoreApplication::notifyInternal2 (receiver=0x203f180, event=event@entry=0x7f8b64e87bf0) at kernel/qcoreapplication.cpp:988
#10 0x00007f8b766f2d1e in QCoreApplication::sendEvent (event=0x7f8b64e87bf0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#11 QTimerInfoList::activateTimers (this=0x7f8b4c002ed0) at kernel/qtimerinfo_unix.cpp:644
#12 0x00007f8b766f31f1 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:182
#13 0x00007f8b731fd45d in g_main_dispatch (context=0x7f8b4c000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3203
#14 g_main_context_dispatch (context=context@entry=0x7f8b4c000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3856
#15 0x00007f8b731fd740 in g_main_context_iterate (context=context@entry=0x7f8b4c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3929
#16 0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8b4c000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#17 0x00007f8b766f3687 in QEventDispatcherGlib::processEvents (this=0x7f8b4c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#18 0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8b64e87e40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#19 0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#20 0x00007f8b7650478c in QThreadPrivate::start (arg=0x2056dc0) at thread/qthread_unix.cpp:368
#21 0x00007f8b74c72454 in start_thread (arg=0x7f8b64e88700) at pthread_create.c:333
#22 0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7f8b57fff700 (LWP 32718)):
#0  0x00007f8b76e4f528 in _dl_update_slotinfo (req_modid=1) at dl-tls.c:617
#1  0x00007f8b76e4f7ac in update_get_addr (ti=0x7f8b768d9410) at dl-tls.c:802
#2  0x00007f8b76503716 in get_thread_data () at thread/qthread_unix.cpp:189
#3  QThreadData::current (createIfNecessary=createIfNecessary@entry=true) at thread/qthread_unix.cpp:244
#4  0x00007f8b766f354a in postEventSourcePrepare (s=0x7f8b400012d0, timeout=timeout@entry=0x7f8b57ffec74) at kernel/qeventdispatcher_glib.cpp:252
#5  0x00007f8b731fcbad in g_main_context_prepare (context=context@entry=0x7f8b40000990, priority=priority@entry=0x7f8b57ffed00) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3501
#6  0x00007f8b731fd608 in g_main_context_iterate (context=context@entry=0x7f8b40000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3909
#7  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8b40000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#8  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8b400008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#9  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8b57ffee40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#10 0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#11 0x00007f8b7650478c in QThreadPrivate::start (arg=0x2057660) at thread/qthread_unix.cpp:368
#12 0x00007f8b74c72454 in start_thread (arg=0x7f8b57fff700) at pthread_create.c:333
#13 0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f8ae57fa700 (LWP 383)):
[KCrash Handler]
#6  QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::data (this=0x8) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:141
#7  qGetPtrHelper<QScopedPointer<QObjectData> > (p=...) at ../../include/QtCore/../../src/corelib/global/qglobal.h:980
#8  QIODevice::d_func (this=0x0) at ../../include/QtCore/../../src/corelib/io/qiodevice.h:178
#9  QIODevice::write (this=0x0, data=data@entry=0x7f8ae57f94bc "\227\177", maxSize=maxSize@entry=1) at io/qiodevice.cpp:1596
#10 0x00007f8b769f16c0 in Akonadi::Protocol::DataStream::operator<< <unsigned char> (this=0x7f8ae57f9570, val=151 '\227') at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/private/datastream_p_p.h:91
#11 0x00007f8b769f1b0b in Akonadi::Protocol::CommandPrivate::serialize (stream=..., this=0x7f8ac8004180) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/private/protocol.cpp:266
#12 Akonadi::Protocol::ResponsePrivate::serialize (this=0x7f8ac8004180, stream=...) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/private/protocol.cpp:425
#13 0x00007f8b769f603f in Akonadi::Protocol::FetchItemsResponsePrivate::serialize (this=0x7f8ac8004180, stream=...) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/private/protocol.cpp:3344
#14 0x00007f8b769d9af4 in Akonadi::Protocol::operator<< (command=..., stream=...) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/private/protocol.cpp:383
#15 Akonadi::Protocol::serialize (device=<optimized out>, command=...) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/private/protocol.cpp:636
#16 0x0000000000427a33 in Akonadi::Server::Connection::sendResponse (this=0x208f660, tag=13, response=...) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/connection.cpp:404
#17 0x000000000042bd12 in Akonadi::Server::Handler::sendResponse (response=..., this=0x7f8ac800e040) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/handler.cpp:268
#18 Akonadi::Server::Handler::sendResponse<Akonadi::Protocol::Response> (this=0x7f8ac800e040, response=...) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/handler.h:152
#19 Akonadi::Server::Handler::failureResponse (this=this@entry=0x7f8ac800e040, failureMessage=...) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/handler.cpp:261
#20 0x000000000042bed1 in Akonadi::Server::Handler::failureResponse (this=0x7f8ac800e040, failureMessage=failureMessage@entry=0x7f8ac8005648 "Item query returned empty result set") at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/handler.cpp:252
#21 0x0000000000429bd5 in Akonadi::Server::Connection::slotNewData (this=0x208f660) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/connection.cpp:252
#22 0x00007f8b766ce70a in QtPrivate::QSlotObjectBase::call (a=0x7f8ae57f9990, r=0x208f660, this=0x7f8ac8003610) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#23 QMetaObject::activate (sender=0x7f8ac80032d0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3723
#24 0x00007f8b766ce07f in QMetaObject::activate (sender=sender@entry=0x7f8ac80033c8, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3740
#25 0x00007f8b766cec87 in QMetaObject::activate (sender=sender@entry=0x7f8ac80033c8, m=m@entry=0x7f8b768e02c0 <QIODevice::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3602
#26 0x00007f8b76739d60 in QIODevice::readyRead (this=this@entry=0x7f8ac80033c8) at .moc/moc_qiodevice.cpp:184
#27 0x00007f8b76f996c5 in QAbstractSocketPrivate::emitReadyRead (this=this@entry=0x7f8ac8003420) at socket/qabstractsocket.cpp:1303
#28 0x00007f8b76f99777 in QAbstractSocketPrivate::canReadNotification (this=0x7f8ac8003420) at socket/qabstractsocket.cpp:724
#29 0x00007f8b76fa48f1 in QReadNotifier::event (this=<optimized out>, e=<optimized out>) at socket/qnativesocketengine.cpp:1209
#30 0x00007f8b766a7f45 in doNotify (receiver=<optimized out>, event=<optimized out>) at kernel/qcoreapplication.cpp:1063
#31 0x00007f8b766a806a in QCoreApplication::notify (event=<optimized out>, receiver=<optimized out>, this=<optimized out>) at kernel/qcoreapplication.cpp:1049
#32 QCoreApplication::notifyInternal2 (receiver=0x7f8ac8003660, event=event@entry=0x7f8ae57f9c20) at kernel/qcoreapplication.cpp:988
#33 0x00007f8b766f402f in QCoreApplication::sendEvent (event=0x7f8ae57f9c20, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#34 socketNotifierSourceDispatch (source=0x7f8ac8003000) at kernel/qeventdispatcher_glib.cpp:106
#35 0x00007f8b731fd45d in g_main_dispatch (context=0x7f8ac8000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3203
#36 g_main_context_dispatch (context=context@entry=0x7f8ac8000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3856
#37 0x00007f8b731fd740 in g_main_context_iterate (context=context@entry=0x7f8ac8000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3929
#38 0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8ac8000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#39 0x00007f8b766f3687 in QEventDispatcherGlib::processEvents (this=0x7f8ac80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#40 0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8ae57f9e40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#41 0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#42 0x00007f8b7650478c in QThreadPrivate::start (arg=0x208ef70) at thread/qthread_unix.cpp:368
#43 0x00007f8b74c72454 in start_thread (arg=0x7f8ae57fa700) at pthread_create.c:333
#44 0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f8ac77fe700 (LWP 403)):
#0  0x00007f8b73242b79 in g_mutex_lock (mutex=mutex@entry=0x7f8ab8000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gthread-posix.c:1336
#1  0x00007f8b731fcbb9 in g_main_context_prepare (context=context@entry=0x7f8ab8000990, priority=priority@entry=0x7f8ac77fdd00) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3504
#2  0x00007f8b731fd608 in g_main_context_iterate (context=context@entry=0x7f8ab8000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3909
#3  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8ab8000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#4  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8ab80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8ac77fde40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f8b7650478c in QThreadPrivate::start (arg=0x2090710) at thread/qthread_unix.cpp:368
#8  0x00007f8b74c72454 in start_thread (arg=0x7f8ac77fe700) at pthread_create.c:333
#9  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f8ac6ffd700 (LWP 406)):
#0  g_main_context_prepare (context=context@entry=0x7f8abc000990, priority=priority@entry=0x7f8ac6ffba90) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3550
#1  0x00007f8b731fd608 in g_main_context_iterate (context=context@entry=0x7f8abc000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3909
#2  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8abc000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#3  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8abc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8ac6ffbe10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x0000000000576299 in Akonadi::Server::ItemRetriever::exec (this=this@entry=0x7f8ac6ffc470) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/storage/itemretriever.cpp:355
#6  0x000000000053cf11 in Akonadi::Server::FetchHelper::fetchItems (this=this@entry=0x7f8ac6ffc640) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/handler/fetchhelper.cpp:337
#7  0x000000000053973b in Akonadi::Server::Fetch::parseStream (this=0x7f8abc0a4540) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/handler/fetch.cpp:47
#8  0x000000000042935d in Akonadi::Server::Connection::slotNewData (this=0x2090ad0) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/connection.cpp:247
#9  0x00007f8b766ce70a in QtPrivate::QSlotObjectBase::call (a=0x7f8ac6ffc990, r=0x2090ad0, this=0x7f8abc003520) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#10 QMetaObject::activate (sender=0x7f8abc0031e0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3723
#11 0x00007f8b766ce07f in QMetaObject::activate (sender=sender@entry=0x7f8abc0032d8, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3740
#12 0x00007f8b766cec87 in QMetaObject::activate (sender=sender@entry=0x7f8abc0032d8, m=m@entry=0x7f8b768e02c0 <QIODevice::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3602
#13 0x00007f8b76739d60 in QIODevice::readyRead (this=this@entry=0x7f8abc0032d8) at .moc/moc_qiodevice.cpp:184
#14 0x00007f8b76f996c5 in QAbstractSocketPrivate::emitReadyRead (this=this@entry=0x7f8abc003330) at socket/qabstractsocket.cpp:1303
#15 0x00007f8b76f99777 in QAbstractSocketPrivate::canReadNotification (this=0x7f8abc003330) at socket/qabstractsocket.cpp:724
#16 0x00007f8b76fa48f1 in QReadNotifier::event (this=<optimized out>, e=<optimized out>) at socket/qnativesocketengine.cpp:1209
#17 0x00007f8b766a7f45 in doNotify (receiver=<optimized out>, event=<optimized out>) at kernel/qcoreapplication.cpp:1063
#18 0x00007f8b766a806a in QCoreApplication::notify (event=<optimized out>, receiver=<optimized out>, this=<optimized out>) at kernel/qcoreapplication.cpp:1049
#19 QCoreApplication::notifyInternal2 (receiver=0x7f8abc003570, event=event@entry=0x7f8ac6ffcc20) at kernel/qcoreapplication.cpp:988
#20 0x00007f8b766f402f in QCoreApplication::sendEvent (event=0x7f8ac6ffcc20, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#21 socketNotifierSourceDispatch (source=0x7f8abc0012d0) at kernel/qeventdispatcher_glib.cpp:106
#22 0x00007f8b731fd45d in g_main_dispatch (context=0x7f8abc000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3203
#23 g_main_context_dispatch (context=context@entry=0x7f8abc000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3856
#24 0x00007f8b731fd740 in g_main_context_iterate (context=context@entry=0x7f8abc000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3929
#25 0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8abc000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#26 0x00007f8b766f3687 in QEventDispatcherGlib::processEvents (this=0x7f8abc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#27 0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8ac6ffce40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#28 0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#29 0x00007f8b7650478c in QThreadPrivate::start (arg=0x208adb0) at thread/qthread_unix.cpp:368
#30 0x00007f8b74c72454 in start_thread (arg=0x7f8ac6ffd700) at pthread_create.c:333
#31 0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f8ac67fc700 (LWP 414)):
#0  0x00007f8b731fa659 in g_source_iter_next (iter=iter@entry=0x7f8ac67faa10, source=source@entry=0x7f8ac67faa08) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:950
#1  0x00007f8b731fcb4b in g_main_context_prepare (context=context@entry=0x7f8ab0000990, priority=priority@entry=0x7f8ac67faa90) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3479
#2  0x00007f8b731fd608 in g_main_context_iterate (context=context@entry=0x7f8ab0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3909
#3  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8ab0000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#4  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8ab00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8ac67fae10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x0000000000576299 in Akonadi::Server::ItemRetriever::exec (this=this@entry=0x7f8ac67fb470) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/storage/itemretriever.cpp:355
#7  0x000000000053cf11 in Akonadi::Server::FetchHelper::fetchItems (this=this@entry=0x7f8ac67fb640) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/handler/fetchhelper.cpp:337
#8  0x000000000053973b in Akonadi::Server::Fetch::parseStream (this=0x7f8ab0010750) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/handler/fetch.cpp:47
#9  0x000000000042935d in Akonadi::Server::Connection::slotNewData (this=0x20910a0) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/connection.cpp:247
#10 0x00007f8b766ce70a in QtPrivate::QSlotObjectBase::call (a=0x7f8ac67fb990, r=0x20910a0, this=0x7f8ab0003010) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#11 QMetaObject::activate (sender=0x7f8ab0002cd0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3723
#12 0x00007f8b766ce07f in QMetaObject::activate (sender=sender@entry=0x7f8ab0002dc8, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3740
#13 0x00007f8b766cec87 in QMetaObject::activate (sender=sender@entry=0x7f8ab0002dc8, m=m@entry=0x7f8b768e02c0 <QIODevice::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3602
#14 0x00007f8b76739d60 in QIODevice::readyRead (this=this@entry=0x7f8ab0002dc8) at .moc/moc_qiodevice.cpp:184
#15 0x00007f8b76f996c5 in QAbstractSocketPrivate::emitReadyRead (this=this@entry=0x7f8ab0002e20) at socket/qabstractsocket.cpp:1303
#16 0x00007f8b76f99777 in QAbstractSocketPrivate::canReadNotification (this=0x7f8ab0002e20) at socket/qabstractsocket.cpp:724
#17 0x00007f8b76fa48f1 in QReadNotifier::event (this=<optimized out>, e=<optimized out>) at socket/qnativesocketengine.cpp:1209
#18 0x00007f8b766a7f45 in doNotify (receiver=<optimized out>, event=<optimized out>) at kernel/qcoreapplication.cpp:1063
#19 0x00007f8b766a806a in QCoreApplication::notify (event=<optimized out>, receiver=<optimized out>, this=<optimized out>) at kernel/qcoreapplication.cpp:1049
#20 QCoreApplication::notifyInternal2 (receiver=0x7f8ab0003060, event=event@entry=0x7f8ac67fbc20) at kernel/qcoreapplication.cpp:988
#21 0x00007f8b766f402f in QCoreApplication::sendEvent (event=0x7f8ac67fbc20, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#22 socketNotifierSourceDispatch (source=0x7f8ab0002a00) at kernel/qeventdispatcher_glib.cpp:106
#23 0x00007f8b731fd45d in g_main_dispatch (context=0x7f8ab0000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3203
#24 g_main_context_dispatch (context=context@entry=0x7f8ab0000990) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3856
#25 0x00007f8b731fd740 in g_main_context_iterate (context=context@entry=0x7f8ab0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3929
#26 0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8ab0000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#27 0x00007f8b766f3687 in QEventDispatcherGlib::processEvents (this=0x7f8ab00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#28 0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8ac67fbe40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#29 0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#30 0x00007f8b7650478c in QThreadPrivate::start (arg=0x20906f0) at thread/qthread_unix.cpp:368
#31 0x00007f8b74c72454 in start_thread (arg=0x7f8ac67fc700) at pthread_create.c:333
#32 0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f8ac5ffb700 (LWP 436)):
#0  0x00007f8b731fd0a4 in g_main_context_check (context=context@entry=0x7f8ab4000990, max_priority=2147483647, fds=fds@entry=0x7f8ab4002e20, n_fds=n_fds@entry=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3766
#1  0x00007f8b731fd680 in g_main_context_iterate (context=context@entry=0x7f8ab4000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3926
#2  0x00007f8b731fd7ec in g_main_context_iteration (context=0x7f8ab4000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#3  0x00007f8b766f369c in QEventDispatcherGlib::processEvents (this=0x7f8ab40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7f8ac5ffae40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f8b765001f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f8b7650478c in QThreadPrivate::start (arg=0x208e350) at thread/qthread_unix.cpp:368
#7  0x00007f8b74c72454 in start_thread (arg=0x7f8ac5ffb700) at pthread_create.c:333
#8  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f8b1bfff700 (LWP 22177)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f8b76504dd8 in QWaitConditionPrivate::wait_relative (time=30000, this=0x7f8b60043a70) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x7f8b60043a70) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x7f8b600438b0, mutex=mutex@entry=0x7f8b600035a0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f8b76501030 in QThreadPoolThread::run (this=0x7f8b600438a0) at thread/qthreadpool.cpp:133
#5  0x00007f8b7650478c in QThreadPrivate::start (arg=0x7f8b600438a0) at thread/qthread_unix.cpp:368
#6  0x00007f8b74c72454 in start_thread (arg=0x7f8b1bfff700) at pthread_create.c:333
#7  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f8b28ff9700 (LWP 22178)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f8b76504dd8 in QWaitConditionPrivate::wait_relative (time=30000, this=0x7f8b60044380) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x7f8b60044380) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x7f8b600441c0, mutex=mutex@entry=0x7f8b600035a0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f8b76501030 in QThreadPoolThread::run (this=0x7f8b600441b0) at thread/qthreadpool.cpp:133
#5  0x00007f8b7650478c in QThreadPrivate::start (arg=0x7f8b600441b0) at thread/qthread_unix.cpp:368
#6  0x00007f8b74c72454 in start_thread (arg=0x7f8b28ff9700) at pthread_create.c:333
#7  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f8b2a7fc700 (LWP 22179)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f8b76504dd8 in QWaitConditionPrivate::wait_relative (time=30000, this=0x7f8b60054ce0) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x7f8b60054ce0) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x7f8b60054b20, mutex=mutex@entry=0x7f8b600035a0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f8b76501030 in QThreadPoolThread::run (this=0x7f8b60054b10) at thread/qthreadpool.cpp:133
#5  0x00007f8b7650478c in QThreadPrivate::start (arg=0x7f8b60054b10) at thread/qthread_unix.cpp:368
#6  0x00007f8b74c72454 in start_thread (arg=0x7f8b2a7fc700) at pthread_create.c:333
#7  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f8b29ffb700 (LWP 22180)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f8b76504dd8 in QWaitConditionPrivate::wait_relative (time=30000, this=0x7f8b600447f0) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x7f8b600447f0) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x7f8b60044630, mutex=mutex@entry=0x7f8b600035a0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f8b76501030 in QThreadPoolThread::run (this=0x7f8b60044620) at thread/qthreadpool.cpp:133
#5  0x00007f8b7650478c in QThreadPrivate::start (arg=0x7f8b60044620) at thread/qthread_unix.cpp:368
#6  0x00007f8b74c72454 in start_thread (arg=0x7f8b29ffb700) at pthread_create.c:333
#7  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f8b297fa700 (LWP 22181)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f8b76504dd8 in QWaitConditionPrivate::wait_relative (time=30000, this=0x7f8b60043f10) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x7f8b60043f10) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x7f8b60043d50, mutex=mutex@entry=0x7f8b600035a0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f8b76501030 in QThreadPoolThread::run (this=0x7f8b60043d40) at thread/qthreadpool.cpp:133
#5  0x00007f8b7650478c in QThreadPrivate::start (arg=0x7f8b60043d40) at thread/qthread_unix.cpp:368
#6  0x00007f8b74c72454 in start_thread (arg=0x7f8b297fa700) at pthread_create.c:333
#7  0x00007f8b75c3a5dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f8b76e62780 (LWP 32690)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f8b76504dd8 in QWaitConditionPrivate::wait_relative (time=10000, this=0x208f590) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=10000, this=0x208f590) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x208f570, mutex=mutex@entry=0x208f550, time=time@entry=10000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f8b765043b6 in QThread::wait (this=<optimized out>, time=time@entry=10000) at thread/qthread_unix.cpp:698
#5  0x000000000051e428 in Akonadi::Server::AkThread::quitThread (this=this@entry=0x208f660) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/akthread.cpp:62
#6  0x00000000004286ec in Akonadi::Server::Connection::~Connection (this=0x208f660, __in_chrg=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/connection.cpp:149
#7  0x0000000000428839 in Akonadi::Server::Connection::~Connection (this=0x208f660, __in_chrg=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/connection.cpp:154
#8  0x000000000042555e in qDeleteAll<QTypedArrayData<Akonadi::Server::Connection*>::const_iterator> (end=..., begin=...) at /usr/include/qt5/QtCore/qalgorithms.h:323
#9  qDeleteAll<QVector<Akonadi::Server::Connection*> > (c=...) at /usr/include/qt5/QtCore/qalgorithms.h:331
#10 Akonadi::Server::AkonadiServer::quit (this=0x200e7f0) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/akonadi.cpp:304
#11 0x000000000051218e in ServerAdaptor::quit (this=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1_build/src/server/serveradaptor.cpp:39
#12 ServerAdaptor::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1_build/src/server/serveradaptor.moc:86
#13 0x00000000005122f3 in ServerAdaptor::qt_metacall (this=0x203eb60, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7ffeb18e1390) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1_build/src/server/serveradaptor.moc:120
#14 0x00007f8b769484d3 in QDBusConnectionPrivate::deliverCall (this=this@entry=0x7f8b680032f0, object=object@entry=0x203eb60, msg=..., metaTypes=..., slotIdx=<optimized out>) at qdbusintegrator.cpp:996
#15 0x00007f8b7694cd06 in QDBusConnectionPrivate::activateCall (this=this@entry=0x7f8b680032f0, object=0x203eb60, flags=flags@entry=273, msg=...) at qdbusintegrator.cpp:898
#16 0x00007f8b7694d5ba in QDBusConnectionPrivate::activateObject (this=0x7f8b680032f0, node=..., msg=..., pathStartPos=<optimized out>) at qdbusintegrator.cpp:1488
#17 0x00007f8b7694ffce in QDBusActivateObjectEvent::placeMetaCall (this=0x7f8b6800f460) at qdbusintegrator.cpp:1608
#18 0x00007f8b766cf66a in QObject::event (this=0x200e7f0, e=<optimized out>) at kernel/qobject.cpp:1263
#19 0x00007f8b766a7f45 in doNotify (receiver=<optimized out>, event=<optimized out>) at kernel/qcoreapplication.cpp:1063
#20 0x00007f8b766a806a in QCoreApplication::notify (event=<optimized out>, receiver=<optimized out>, this=<optimized out>) at kernel/qcoreapplication.cpp:1049
#21 QCoreApplication::notifyInternal2 (receiver=0x200e7f0, event=event@entry=0x7f8b6800f460) at kernel/qcoreapplication.cpp:988
#22 0x00007f8b766aa443 in QCoreApplication::sendEvent (event=0x7f8b6800f460, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#23 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x2009910) at kernel/qcoreapplication.cpp:1649
#24 0x00007f8b766aa9a8 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1503
#25 0x00007f8b766f3613 in postEventSourceDispatch (s=0x200b770) at kernel/qeventdispatcher_glib.cpp:276
#26 0x00007f8b731fd45d in g_main_dispatch (context=0x200bc00) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3203
#27 g_main_context_dispatch (context=context@entry=0x200bc00) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3856
#28 0x00007f8b731fd740 in g_main_context_iterate (context=context@entry=0x200bc00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3929
#29 0x00007f8b731fd7ec in g_main_context_iteration (context=0x200bc00, may_block=1) at /var/tmp/portage/dev-libs/glib-2.50.2/work/glib-2.50.2/glib/gmain.c:3990
#30 0x00007f8b766f3687 in QEventDispatcherGlib::processEvents (this=0x200b750, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#31 0x00007f8b766a6d9a in QEventLoop::exec (this=this@entry=0x7ffeb18e19a0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#32 0x00007f8b766ae8cc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1261
#33 0x000000000057f0d5 in AkApplicationBase::exec (this=this@entry=0x7ffeb18e1ac0) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/shared/akapplication.cpp:125
#34 0x0000000000420ef3 in main (argc=1, argv=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.1/work/akonadi-16.12.1/src/server/main.cpp:70
Comment 14 Alexander 2017-01-31 09:45:52 UTC
The bug »survived« the update to KDE Applications 16.12.1. Akonadi crashes, when I'm changing to a mailing list folder, which contains lots of emails.
Comment 15 tomaggio 2017-02-04 12:55:05 UTC
Same here; Chakra Linux with KDE Applications 16.12.1
Comment 16 Knut Hildebrandt 2017-02-04 20:18:54 UTC
(In reply to Alexander from comment #9)
> The description, that akonadi crashes if you delete an email is true, but it
> crashes randomly, independently from what you do. Click an email, it may
> crash or not; go to another account, same. 

I'm not sure if it is the same as bug 375558, but what Alexander writes suggest this assumption. The problem with deleting mails I did not notice yet. But I usually do not delete more than one mail at a time.
Comment 17 C. Brouerius van Nidek 2017-02-05 02:16:08 UTC
Found in all email folders that are regularly used that read messages where still in the new subdirectory. Since 24 hours I have removed these messages manualy (Midnight Commander) from new to cur and did not have any crash of kmail. Will report in a week :) if this is this is a temporary solution. The problem of too many duplicates receiving does not seem to be of importance for crashing. Just a nuisance.
Comment 18 Knut Hildebrandt 2017-02-05 03:21:31 UTC
(In reply to C. Brouerius van Nidek from comment #17)
> Found in all email folders that are regularly used that read messages where
> still in the new subdirectory.

Because of Bug374925 I regularly check the directories where I move or copy mails and thus can partially confirm this behaviour. All mails - read or unread - end up in the   new subdirectory and stay there. Always move them by hand. Maybe that is why I do not experience the crashes when deleting mails?

But mails that directly arrive to the inbox are moved from new to cur after being read. Once in cur no mail ever gets moved back to new, even if I mark them unread again.
Comment 19 stefanfrank 2017-02-05 14:44:05 UTC
I hope its gonna fixed very soon. Kmail is not useable!
Comment 20 Christoph Feck 2017-02-07 01:51:12 UTC
From looking at the stack trace in comment #13, it looks like Akonadi::Server::Connection still runs in thread 11, while thread 1 already deleted it.

Deleting a connection should wait until all threads that run from it are terminated.
Comment 21 Alexander 2017-02-07 11:34:08 UTC
(In reply to Christoph Feck from comment #20)
> From looking at the stack trace in comment #13, it looks like
> Akonadi::Server::Connection still runs in thread 11, while thread 1 already
> deleted it.
> 
> Deleting a connection should wait until all threads that run from it are
> terminated.

Christoph, here: https://lists.opensuse.org/opensuse-factory/2017-02/msg00048.html is a good description, what happens. The trouble comes from filtering emails in a POP3 account.
Comment 22 Knut Hildebrandt 2017-02-08 00:44:35 UTC
(In reply to Alexander from comment #21)
> The trouble comes from filtering emails in a POP3 account.

That might explain why I do not experience the crashes while deleting mails. I only use IMAP. But there are still the problems mentioned in Comment 9 and Comment 18. Maybe these should be moved to separate bugreports.
Comment 23 Daniel Vrátil 2017-02-23 18:59:19 UTC
The crash itself has been fixed by commit https://commits.kde.org/akonadi/5219f770b998aad16a3d51bbd4f4c7ceb8b143c9 which will be in Akonadi 5.4.3 (KDE Applications 16.12.3) in March.

The patch fixes the crash itself, but does not address the underlying problem. I'll keep this opened until the underlying problem is resolved.

--- Notes for future me:
The root cause is the nested QEventLoop in ItemRetriever::exec(). When Connection is terminated (by server shutdown or connection loss on socket) while the nested QEventLoop in ItemRetriever is running, Connection::quit() will be invoked from the nested loop, destroying certain resources (socket, datastore). This then leads to various crashes once the nested event loop ends and execution within ItemRetriever::exec() continues.

I don't think it's possible to prevent nested event loop from executing metacalls on Connection, after all the main reason for using QEventLoop in ItemRetriever was to make it more interactive and interruptable. Connection::quit() cannot directly terminate the nested QEventLoop, because it has been invoked from it. It could however use delay invocation to quit the loop and return early without actually quiting and destroying the thread. The thread would quit once the excecution would return from the Handler back to Connection::slotNewData(). Connection::quit() could probably set a flag or something. However it's not clear how Connection::quit() should detect where it's invoked from and whether it's a nested QEL or not, and how it should interact with it.
Comment 24 Daniel Vrátil 2017-02-23 19:00:16 UTC
*** Bug 376852 has been marked as a duplicate of this bug. ***
Comment 25 Daniel Vrátil 2017-02-23 19:00:44 UTC
*** Bug 375714 has been marked as a duplicate of this bug. ***
Comment 26 Daniel Vrátil 2017-02-23 19:01:31 UTC
*** Bug 375558 has been marked as a duplicate of this bug. ***
Comment 27 Daniel Vrátil 2017-02-23 19:02:05 UTC
*** Bug 375450 has been marked as a duplicate of this bug. ***
Comment 28 Daniel Vrátil 2017-02-23 19:02:50 UTC
*** Bug 375104 has been marked as a duplicate of this bug. ***
Comment 29 Daniel Vrátil 2017-02-24 16:28:47 UTC
Git commit 1593c17da9cbdc1483541e1e7d7630f3c91f8208 by Daniel Vrátil.
Committed on 24/02/2017 at 16:22.
Pushed by dvratil into branch 'Applications/16.12'.

Fix crash when Connection is closed while ItemRetriever is running

ItemRetriever::exec() runs a nested QEventLoop. If the parent
Connection is terminated while the event loop is running, the
delayed AkThread::quit() invocation is executed and the thread
is destroyed, while technically there is still execution going
on. To workaround that issue we don't destroy the thread in
Connection::quit() if we detect a nested QEventLoop but instead
we just notify the event loop to quit and destroy the thread
later when execution returns back to ItemRetriever::slotNewData().

This fixes a crash in QPSQLQuery, which was dereferencing a
QPSQLDriver after the driver has been deleted as the thread was
destroyed and avoids more of random crashes due to the Connection
being virtually deleted from its own nested event loop.
FIXED-IN: 5.4.3

M  +24   -1    src/server/connection.cpp
M  +3    -0    src/server/connection.h
M  +1    -0    src/server/storage/datastore.cpp
M  +2    -0    src/server/storage/itemretriever.cpp

https://commits.kde.org/akonadi/1593c17da9cbdc1483541e1e7d7630f3c91f8208
Comment 30 Christoph Feck 2017-03-06 23:28:59 UTC
*** Bug 376923 has been marked as a duplicate of this bug. ***
Comment 31 Christoph Feck 2017-03-06 23:29:25 UTC
*** Bug 376976 has been marked as a duplicate of this bug. ***
Comment 32 Christoph Feck 2017-03-06 23:29:57 UTC
*** Bug 377273 has been marked as a duplicate of this bug. ***
Comment 33 Christoph Feck 2017-03-10 23:17:37 UTC
*** Bug 377393 has been marked as a duplicate of this bug. ***
Comment 34 stefanfrank 2017-03-19 08:25:13 UTC
Hi,
unfortunately the new update to Version 5.4.3 do not solve the problem. I still have crashes!
Best regards
Comment 35 Dennis Schridde 2017-03-20 13:33:15 UTC
I am using akonadi-server/xenial,now 4:16.12.3-0neon+16.04+build7 and am also still experiencing this issue. (How do I figure out the actual version number?)
Comment 36 Olivier BELLEUX 2017-03-20 13:58:03 UTC
I confirm that the update does not completely solve the bugs.

I received two mail (html newsletters) that were filtered to the right folder but then read them caused a crash; Unable to delete them from kmail; I had to do it by hand since my maildir (my accounts are all in pop3: safer) then:
Akonadi fsck
Akonadi vacuum
Akonadi restart
Kontact

Tired of this akonadi.

Akonadi is an interface between the client and the server ... but when akonadi bugs it becomes a wall between the applications of the kontact suite and servers ...

The idea was good but the implementation is far from conclusive: perhaps it is time to replace the too complex and fragile akonadi with a simpler solution such as a module kcm to centralize the management of accounts (kde -pim and telepathy) and stored these configurations in such a way that all software can access these resources directly. In addition kpart k-d-bus technologies would allow a client to access resources through another client.

Of course this implies more code and work for each client but in the end it would probably be more KISS and therefore more robust.

This does not prevent the use of databases to optimize clients, but several sqlite db may be more robust than a very large mysql db, may not ?

Sorry for my comment a bit long but these multiple and recurring Akonadi dysfunction starts to disgust me from Kontact which is the killer apps for which I chose kde instead of gnome 7 years ago.

If the situation does not evolve in the right direction then I should resolve to leave kde for gnome: it will be painful to me but if the stubbornness of the kde-pim team to keep alive akonadi persists then it will be bye bye. ..
Comment 37 Robby Engelmann 2017-03-20 14:48:09 UTC
Hi,
I also updated to 16.12.3 and it still has some issues with the filter agents as described in the previous post.
I figured out now, that filtering spams with bogofilter or spamassassin does work now, not sure whether that is new. However, adding additional filters, e.g. move all incoming mails which contain a specific string to another subfolder still leads to the problems described: doubling of mails, not able to delete mails.

I also use pop. Not sure whether that also applies to imap.
Comment 38 Daniel Vrátil 2017-03-25 19:09:04 UTC
(In reply to stefanfrank from comment #34)
> Hi,
> unfortunately the new update to Version 5.4.3 do not solve the problem. I
> still have crashes!
> Best regards

Please provide a new backtrace of the crash.


Regarding the filtering issue, there are another bug reports regarding this, please report your issue there.
Comment 39 stefanfrank 2017-03-26 16:58:47 UTC
Maybe my problem is exactly the filtering bug. I am using Pop3 and filters in Kmail. What is the link to that Bugreport?
To complete your request I attached the crashreport:

Application: Kontact (kontact), signal: Segmentation fault
Comment 40 Christoph Feck 2017-03-31 19:27:16 UTC
Please attach it using the "Add an attachment" link on this page; mail attachments are not displayed here.
Comment 41 stefanfrank 2017-04-01 08:30:38 UTC
Created attachment 104839 [details]
Crash

crash
Comment 42 stefanfrank 2017-04-01 08:32:24 UTC
Hi!
yes I know. But the only text that is displayed is:


--Application: Kontact (kontact), signal: Segmentation fault--


not very useful I think.
Comment 43 stefanfrank 2017-04-01 08:35:21 UTC
Created attachment 104840 [details]
Another crash

a second crash this morning.
That could be more useful.
Comment 44 Daniel Vrátil 2017-04-07 11:59:46 UTC
The crash should be fixed in 17.04 release.

http://cgit.kde.org/akonadi.git/commit/?id=da7070a7facb3c2f91c03b28c36ba5b929b89a42

Please test against the new version and reopen if you can still reproduce the crash.
Comment 45 stefanfrank 2017-04-29 13:15:48 UTC
still not working Apps 17.04, Manjaro updated at April 27. 

At the moment ne crach report just:
Application: Kontact (kontact), signal: Segmentation fault

I will report when available!
Comment 46 stefanfrank 2017-04-29 13:51:56 UTC
Created attachment 105260 [details]
New crash Apps 17.04

New crash Apps 17.04.
I have pop3 und mailfilter active.
When I want to open an filtered mail in html format kmail/acodadi crashes.
The mail-text window do not show the text.
Please fix that issue, that makes kmail unuseable!
Best regards
Comment 47 Christophe Giboudeaux 2017-04-29 16:30:51 UTC
the last backtrace looks unrelated (and misses debug symbols, doesn't manjaro package debug stuff ?)
Comment 48 stefanfrank 2017-05-01 11:42:23 UTC
Hi!
>and misses debug symbols, doesn't manjaro package debug stuff ?

sorry Manjaro base on Arch and unfortunately do not support debug-symbols.
I hope somebody else has the same problem and can upload the debug-log-file.
Best regards